@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@300;400;500;600;700;800;900&display=swap');

:root {
    --clr-main: #44A29C;
    --clr-main-light: #78c6c9;
    --clr-main-light: #aff8b5;
    --clr-white: #FFFFFF;
    --clr-gray: #e2e2e2;
    --clr-red: #FFFFFF;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Rubik', sans-serif;
}

h1, h2, h3, h4, h5, h6, p, a, input, textarea {
    margin: 0;
}

ul {
    list-style-type: none;
}

a {
    text-decoration: none;
}

.contenedor_Menu {
    display: grid;
    grid-template-columns: 1fr 4fr;
    background-color: var(--clr-main);

}

aside{
    padding: 2rem;
    padding-right: 0;
    color: var(--clr-white);
    position: sticky; 
    top: 0;
    height: 100vh;
    overflow-y: scroll;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.logo {
    font-weight: 400;
    font-size: 2rem;
}

.menu {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.botton-menu {
    background-color: transparent;
    border: 0;
    color: var(--clr-white);
    align-items: center;
    font-size: 1.5rem;
    cursor: pointer;
    display: flex;
    padding: 1rem;
    gap: 1rem;
    font-weight: 600;
}

.botton-menu.active {
    background-color: var(--clr-white);
    color: var(--clr-main);
    border-top-left-radius: 1rem;
    border-bottom-left-radius: 1rem;
    width: 100%;
}

.botton-carrito{
    margin-top: 2rem;
}

.numerito{
    background-color: #FFFFFF;
    color: var(--clr-main);
    border-radius: 20%;
    padding: .25rem;
}

.botton-carrito.active.numerito{
    background-color: var(--clr-white);
    color: var(--clr-main);
}

.bi-hand-index-thumb-fill, .bi-hand-index-thumb { 
    transform: rotateZ(90deg); 
}

.texto-fooder{
    color : var(--clr-main-light);
    font-size: .85rem ;
}

main {
    background-color: var(--clr-white);
    margin: 1rem;
    margin-left: 0;
    border-radius: 2rem;
    padding: 2rem;
}

.titulo-principal{
    color: #44A29C;
    font-size: 2rem;
    font-weight: 400;
    margin-bottom: 1rem;
}

.contenedor-productos {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 1rem;
}

.producto-imagen {
    max-width: 100%;
    border-radius: 1rem;
}

.producto-imagen:hover {
    transform: scale(1.1);
    transition: all .3s ease-in-out;
}

.producto-detalles {
    background-color: var(--clr-main);
    color : var(--clr-white);
    padding: .5rem;
    border-radius: 1rem;
    margin-top: 1rem;
    position: relative;
    flex-direction: column;
    gap: .25rem;
}

.producto-titulo{
    font-size: 1.2rem;
}

.producto-agregar{
    border: 0;
    background-color: #FFFFFF;
    color: var(--clr-main);
    padding: .5rem;
    text-transform: uppercase;
    border-radius: 2rem;
    cursor: pointer;
    border: 2px solid var(--clr-white);
    transition: all .3s ease-in-out;
}

.producto-agregar:hover{
    background-color: var(--clr-main);
    color: var(--clr-white);
}


/* Carrito */

.contenedor-carrito{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.carrito-comprado, .carrito-vacio{
    color: var(--clr-main);
 
}

.carrito-productos{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.carrito-producto{
    display: flex;
    gap: 1rem;
    align-items: center;
    justify-content: space-between;
    padding: .5rem;
    border-radius: 1rem;
    background-color: var(--clr-main-light);
    color: var(--clr-main);
    padding-right: 2rem;
}

.carrito-producto-imagen{
    width: 4rem;
    border-radius: 1rem;
}

.carrito-producto.small{
    font-size: .85rem;
}

.carrito-producto-borrar{
    border: 0;
    background-color: transparent;
    color: var(--clr-main);
    cursor: pointer;
}

.carrito-acciones {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.carrito-acciones-vaciar{
    border: 0;
    background-color: transparent;
    color: var(--clr-main);
    cursor: pointer;
    padding: 1rem;
    text-transform: uppercase;
    cursor: pointer;
    font-size: 1.2rem;
}

.carrito-acciones-derecha{
    display: flex;
    gap: 1rem;
    align-items: center;
}

.carrito-acciones-total{
    display: flex;
    border: 0;
    background-color: transparent;
    color: var(--clr-main);
    padding: 1rem;
    text-transform: uppercase;
    font-size: 1.2rem;
    border-top-left-radius: 1rem;
    border-bottom-left-radius: 1rem;
    gap: 1.5rem;
}

.carrito-acciones-comprar{
    border: 0;
    background-color: var(--clr-main-light);
    color: var(--clr-main);
    cursor: pointer;
    padding: 1rem;
    text-transform: uppercase;
    cursor: pointer;
    font-size: 1.2rem;
    border-top-right-radius: 1rem;
    border-bottom-right-radius: 1rem;

}

.header-mobile {
    display: none;
}

.cerrarMenu {
    display: none;
}

.disabled{
    display: none;
}

/*** Media queries ***/

@media screen and (max-width: 1024px) {
    .contenedor_Menu {
        min-height: 100vh;
        display: flex;
        flex-direction: column;
    }

    aside {
        position: fixed;
        z-index: 9;
        background-color: var(--clr-main);
        left: 0;
        box-shadow: 0 0 0 rgba(0, 0, 0, .75);
        transform: translateX(-100%);
        opacity: 0;
        transition: all.3s ease;
    }

    .aside-visible {
        transform: translateX(0);
        opacity: 1;
        visibility: visible;
    }

    .botton-menu.active::before,
    .botton-menu.active::after {
        display: none;
    }

    main {
        margin: 1rem;
        margin-top: 0;
        padding: 2rem;
    }

    .contenedor-productos {
        grid-template-columns: repeat(4, 1fr);
    }

    .header-mobile {
        padding: 1rem;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .header-mobile .logo {
        color: var(--clr-white);
    }

    .bi   {
        color: var(--clr-white);
        font-size: 2rem;
    }

    .abrirMenu, .cerrarMenu {
        background-color: transparent;
        color: var(--clr-main);
        border: 0;
        font-size: 2rem;
        cursor: pointer;
    }

    .cerrarMenu {
        display: block;
        position: absolute;
        top: 1rem;
        right: 1rem;
    }

    .carrito-producto {
        gap: .5rem;
        flex-wrap: wrap;
        justify-content: flex-start;
        padding: .5rem;
    }

    .carrito-producto-total {
        display: none;
    }

    .carrito-acciones {
        flex-wrap: wrap;
        row-gap: 1rem;
    }
}   

@media screen and (max-width: 768px) {
    .contenedor-productos {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media screen and (max-width: 720px) {
    .contenedor-productos {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media screen and (max-width: 480px) {
    .contenedor-productos {
        grid-template-columns: repeat(1, 1fr);
    }
}